NSRLIC(8)

NAME
nsrlic - NetWorker license reporting command

SYNOPSIS
nsrlic [ -vi ] [ -s server ]

DESCRIPTION

The nsrlic command generates reports about all license information currently active on a NetWorker server. This command queries the NetWorker resource database, and formats and displays the results to standard output.

The nsrlic program reports: the number of server or universal client licenses, the number of server client licenses used, the number of server client licenses borrowed by workstation clients, the number of remaining server client licenses, the list of server clients connected to the named NetWorker server, the list of server clients defined in the specified NetWorker server, the number of workstation client licenses, the number of workstation licenses needed or used, the number of remaining workstation client licenses, the list of workstation clients connected to the specified NetWorker server, the list of workstation clients defined on the specified NetWorker server, the number of server clients listed by platform, the number of workstation clients listed by platform, the list of valid client paks installed on the system, and the list of client types allowed by client paks and server enablers installed on the system. When applications exist which require licensing, nsrlic also reports them in the same manner. In this case, however, the output will not contain any references unless either there are licenses available, or a connected client is utilizing a license count for such applications.

OPTIONS

-i  Selects interactive mode. In this mode, you can request different reports, refresh the information, or switch to a different server. The information is requested once and cached until another connect command is issued.

-s server
    Selects which NetWorker server to query. By default, the server on the local system is queried.

-v  Selects verbose mode. In addition to the number of licenses or the number of clients, a list of connected and defined clients is gathered and displayed.

USAGE

The following commands are supported in the interactive mode:

connect [ server ]
Connects to the named server. By default, this is the server on the local system.

detail
Produces a detailed report. Displays a list of connected clients (clients that saved to NetWorker) and a list of defined clients (clients that are defined in the NetWorker server, but not yet saved).

help
Displays a list of available commands.

summary
Displays a summary report.

?
Is the same as online help.

quit
Performs an immediate exit from nsrlic.

DIAGNOSTICS
nsrlic displays a "usage" message describing the available options when characters are used that are not valid for this command.

command not found
Indicates that the command is not a supported command.

RPC error: Remote system error RPC error: Program not registered
Indicates that some problems were encountered while connecting to the NetWorker server on the specified system. The nsrlic command requires that the NetWorker daemons be running. Start your NetWorker daemons (nsrd) and rerun nsrlic. If nsrd is already running, you have probably reached a resource limit on the server (for example, not enough memory or no more processes).

Server xxx does NOT have Self-Identifying capability
Indicates that the specified NetWorker server does not have the capability to report license information.

SEE ALSO
nsrd(8), nsradmin(8), nwadmin(8)